package com.huimv.manage.eartag.service;

import com.alibaba.fastjson.JSONArray;
import com.huimv.manage.util.Result;

import java.util.Date;

public interface IApplyService {
    // 展示任务列表
    Result listApply();

    // 保存新任务（号）
    Result saveNewMission(JSONArray applyJa);

    // 过滤已经入库的任务号
    JSONArray filterExistApply(JSONArray downloadApplyJa);

    // 修改任务状态信息
    Result setMissionHasDownloadState(int applyId, int id);

    // 展示任务列表(带分页)
    Result listApply(Integer applyId, Date startDate, Date endDate, Integer returnState, Integer deliverState, Integer pageSize, Integer pageNo);

}
